Bug 984070 - RHEV-M will never see AD users added by the CLI (net user /add)
RHEV-M will never see AD users added by the CLI (net user /add)
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity high
: ---
: 3.3.0
Assigned To: Nobody's working on this, feel free to take it
Pavel Stehlik
infra
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-12 12:35 EDT by Bill Sanford
Modified: 2016-02-10 14:01 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-06 05:38:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Sanford 2013-07-12 12:35:15 EDT
Description of problem:
If you have ad AD attached to RHEV-M with the "engine-manage-domains" command, there is no way to add users from the Windows 2008 Server R2 (using the CLI to add the Windows users) and have them accessible to RHEV-M.

A "net user /add foobar <password> /fullname:"Foo Bar" /domain" command won't allow the user to show up in RHEV-M. 

I have actually tried:
   net user /add <username> <password> 
   net user /add <username> <password> /fullname:"Foo Barred"
   net user /add <username> <password> /fullname:"Foo Bar" /domain"

When I add user in RHEV-M, by selecting the domain and selecting the go button for the whole user list in AD, I don't see any users added by the CLI. If I add them from the GUI, instead of the CLI, I DO see them. When in RHEV-M, if I use the "search user" dialog to search the user added by the CLI, it NEVER shows the user.

Version-Release number of selected component (if applicable):
RHEV-M 3.3 (is4)

How reproducible:
100%

Steps to Reproduce:
1. See above.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Andrew Cathrow 2013-07-12 18:07:54 EDT
Have you verified that the user has been correctly created in AD within the domain not local?

Can you provide logs?

thanks
Comment 2 Itamar Heim 2013-07-14 03:02:18 EDT
and that the user created in AD has a upn
Comment 3 Barak 2013-08-06 05:38:18 EDT
no reply - moving to CLOSE INSUFFICIENT_DATA

Note You need to log in before you can comment on or make changes to this bug.